Summary:	Privileged helper for utmp updates
Summary(es.UTF-8):	Programa para actualización del utmp/wtmp
Summary(pl.UTF-8):	Program pozwalający na zapisywanie w utmp
Summary(pt_BR.UTF-8):	Programa para atualização do utmp/wtmp
Summary(ru.UTF-8):	Привилегированная программа для изменений в utmp/wtmp
Summary(uk.UTF-8):	Привілейована програма для внесення змін до utmp/wtmp
%define	utempter_compat_ver	0.5.5
Name:		libutempter
Version:	1.1.6
Release:	5
License:	LGPL v2.1+
Group:		Base
Source0:	ftp://ftp.altlinux.org/pub/people/ldv/utempter/%{name}-%{version}.tar.bz2
# Source0-md5:	b43827806923903aba2bc7cd3a2d45b7
Patch0:		%{name}-lastlog.patch
Patch1:		%{name}-utmp-cleanup.patch
BuildRequires:	rpmbuild(macros) >= 1.202
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(post,postun):	/sbin/ldconfig
Requires(postun):	/usr/sbin/groupdel
Provides:	group(utmp)
Provides:	utempter = %{utempter_compat_ver}
Obsoletes:	libutempter0
Obsoletes:	utempter
Conflicts:	rc-scripts < 0.4.9-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utempter is a utility which allows programs to log information to a
privileged file (/var/run/utmp), without compromising system
security. It accomplishes this task by acting as a buffer between root
and the programs.

%description -l es.UTF-8
Programa para actualización del utmp/wtmp.

%description -l pl.UTF-8
Utempter jest programem pozwalającym użytkownikom na zapisywanie do
pliku /var/run/utmp bez naruszania bezpieczeństwa systemu.

%description -l pt_BR.UTF-8
O Utempter é um utilitários que permite a programas guardar informação
à arquivos privilegiados (/var/run/utmp), sem comprometer a segurança
do sistema. Ele faz esta tarefa atuando como um "buffer" entre o
usuário root e os programas.

%description -l ru.UTF-8
Utempter - это утилита, которая позволяет программам записывать
информацию в привилегированный файл (/var/run/utmp) без нарушения
системной безопасности. Она исполняет эту задачу, выступая буфером
между root'ом и пользовательскими программами.

%description -l uk.UTF-8
Utempter - це утиліта, що дозволяє програмам записувати інформацію в
привілейований файл (/var/run/utmp) без порушення системної безпеки.
Вона виконує цю задачу, виступаючи буфером між root'ом та програмами
користувача.

%package devel
Summary:	Header file for utempter library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki utemptera
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	utempter-devel = %{utempter_compat_ver}
Obsoletes:	libutempter0-devel
Obsoletes:	utempter-devel

%description devel
Header file for utempter library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki utemptera.

%package static
Summary:	Static utempter library
Summary(pl.UTF-8):	Statyczna biblioteka utemptera
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	utempter-static = %{utempter_compat_ver}

%description static
Static utempter library.

%description static -l pl.UTF-8
Statyczna biblioteka utemptera

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	RPM_OPT_FLAGS="%{rpmcppflags} %{rpmcflags}" \
	libdir="%{_libdir}" \
	libexecdir="%{_libexecdir}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	libdir="%{_libdir}" \
	libexecdir="%{_libexecdir}" \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sbindir}
ln -s %{_libdir}/utempter/utempter $RPM_BUILD_ROOT%{_sbindir}
ln -s %{_libdir}/utempter/utmp-cleanup $RPM_BUILD_ROOT%{_sbindir}

install -d $RPM_BUILD_ROOT/var/run
:> $RPM_BUILD_ROOT/var/run/utmp

%clean
rm -rf $RPM_BUILD_ROOT

# not in trigger because utmpx is %%ghost, and %%ghost-ed files
# are removed when they'are uninstalled
%pretrans
if [ -e /var/run/utmpx ]; then
	if [ -s /var/run/utmp ]; then
		# utmp always takes precedence, it's safe to remove utmpx
		rm -f /var/run/utmpx
	else
		mv -f /var/run/utmpx /var/run/utmp
	fi
fi

%pre
%groupadd -g 22 utmp

%post
/sbin/ldconfig
if [ ! -f /var/run/utmp ]; then
	umask 002
	touch /var/run/utmp
	chown root:utmp /var/run/utmp
	chmod 0664 /var/run/utmp
fi

%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
	%groupremove utmp
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_sbindir}/utempter
%attr(755,root,root) %{_sbindir}/utmp-cleanup
%dir %{_libdir}/utempter
%attr(2755,root,utmp) %{_libdir}/utempter/utempter
%attr(755,root,root) %{_libdir}/utempter/utmp-cleanup
%attr(755,root,root) %{_libdir}/libutempter.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libutempter.so.0
%attr(664,root,utmp) %ghost /var/run/utmp

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libutempter.so
%{_includedir}/utempter.h
%{_mandir}/man3/libutempter.3*
%{_mandir}/man3/utempter*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libutempter.a
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libutempter.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> de3d054
- x32 rebuild
- release 5 (by relup.sh)

* Mon Nov 11 2013 Jan Rękorajski <baggins@pld-linux.org> 7617aa5
- added comment about pretrans

* Mon Nov 11 2013 Jan Rękorajski <baggins@pld-linux.org> 684e8d3
- moved utmpx -> utmp migration to pretrans

* Mon Nov 11 2013 Jan Rękorajski <baggins@pld-linux.org> abd64dd
- typo in deps
- rel 3

* Mon Nov 11 2013 Jan Rękorajski <baggins@pld-linux.org> 76099af
- C:rc-scripts with utmpx support

* Mon Nov 11 2013 Jan Rękorajski <baggins@pld-linux.org> 647494f
- no need for tmpfiles config, systemd owns utmp itself

* Mon Nov 11 2013 Jan Rękorajski <baggins@pld-linux.org> 123b158
- switch from utmpx to utmp

* Sat Jun 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 1a82f35
- updated to 1.1.6
- updated lastlog,utmp-cleanup patches

* Mon Jan 30 2012 Jan Rękorajski <baggins@pld-linux.org> c5a64b4
- add systemd tmpfiles config

* Mon Oct 18 2010 Jakub Bogusz <qboosh@pld-linux.org> 7ce824e
- verbose lib files

* Fri Sep 24 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 86ab908
- rel 2; devel P utempter-devel

* Thu Sep 23 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c19035b
- rel 1; fixes from Adam Osuchowski

* Tue Sep 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7bea464
- replacement for utempter (unfinished)

* Tue Sep 21 2010 Jan Rękorajski <baggins@pld-linux.org> ce407ce
- rel 10
- added type size fix for utmpx.ut_tv by Adam Osuchowski <adwol * zonk.pl>

* Wed Nov 19 2008 Elan Ruusamäe <glen@pld-linux.org> 384145d
- release 9

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> b7d385f
- rel 8

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c151103
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 35ebba1
- converted to UTF-8

* Wed Nov 08 2006 Jakub Bogusz <qboosh@pld-linux.org> 4526734
- added groupadd/groupdel deps

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> bb0ea12
- create utmp group by our own, not to depend on SysVinit just for group(utmp); rel 7

